Bug 1024270 - [TestPlan][Filter] The number of all cases of the filter result is incorrect
[TestPlan][Filter] The number of all cases of the filter result is incorrect
Status: ASSIGNED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.5
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: cqi
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 05:37 EDT by Chen Chen
Modified: 2016-05-26 09:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Chen 2013-10-29 05:37:28 EDT
Description of problem:
Open 'Cases'/'Reviewing Cases' label of a Test plan, which has large number of 'CONFIRMED'/'PROPOSED' cases, using 'Toggle filter options' filter some of the cases, the result shows there are '20 cases', but after click 'Show more', '20 cases' are not change.
Here the '20 cases' should be the number of all cases of the filter result.

Version-Release number of selected component (if applicable):
3.8.5

How reproducible:
100%

Steps to Reproduce:
1.Open 'Cases'/'Reviewing Cases' label of a Test plan, which has large number of 'CONFIRMED'/'PROPOSED' cases
2.Using 'Toggle filter options' filter some of the cases. Check the number in the front of cases list.

Actual results:
'20 cases'.

Expected results:
The number of all cases of the filter result.
Comment 1 Chen Chen 2013-11-08 03:42:06 EST
The number should be the the quantity of all cases filtered out, not the number of cases which are shown.
Comment 2 Chen Chen 2013-11-11 00:13:24 EST
Verify 3.8.5 on qa server --> FAIL

Verify steps are the same as Description

Number of cases in 'Cases' label isn't reflect quantity of the filtered cases.
Comment 3 cqi 2013-11-11 00:56:31 EST
(In reply to Chen Chen from comment #2)
> Verify 3.8.5 on qa server --> FAIL
> 
> Verify steps are the same as Description
> 
> Number of cases in 'Cases' label isn't reflect quantity of the filtered
> cases.

The latest code has not been deployed.

Note You need to log in before you can comment on or make changes to this bug.